from django.db import models
from tinymce.models import HTMLField

# Create your models here.


class Membership(models.Model):
    published = models.BooleanField('Wpis opublikowany', default=True)
    year = models.IntegerField('Rok', primary_key=True)
    content = HTMLField('Treść', default='', blank=True)

    def __str__(self):
        return f'Składki członkowskie {self.year}'

    class Meta:
        verbose_name = 'Składka członkowska'
        verbose_name_plural = 'Składki członkowskie'
        ordering = ['-year']
